///--------------------------------------------------------------------------------------
// SimpleBreakOut.h
//
// By: Tony Myles
//
// Copyright  1993 Tony Myles, All rights reserved worldwide.
///--------------------------------------------------------------------------------------


#ifndef __SIMPLEBREAKOUT__
#define __SIMPLEBREAKOUT__

#ifndef __WINDOWS__
#include <Windows.h>
#endif


enum
{
	kBreakOutBallHorizDelta = 4,
	kBreakOutBallVertDelta = 4,
	kNumberOfBrickColumns = 10,
	kNumberOfBrickRows = 5,
	kTotalNumberOfBricks = (kNumberOfBrickColumns * kNumberOfBrickRows),
	kBreakOutBackDropPixPatID = 128,
	kBrickCIconID = 129,
	kBreakBallCIconID = 130,
	kPaddleCIconID = 131
};


#ifdef __cplusplus
extern "C" {
#endif

void PerformSimpleAnimation(CWindowPtr srcWindowP);
void BallCollideProc(SpritePtr ballSpriteP, SpritePtr brickSpriteP, Rect* sectRect);
void PaddleCollideProc(SpritePtr paddleSpriteP, SpritePtr ballSpriteP, Rect* sectRect);
void PaddleMoveProc(SpritePtr paddleSpriteP, Point* spritePoint);
void BallMoveProc(SpritePtr srcSpriteP, Point* spritePoint);

#ifdef __cplusplus
};
#endif


#endif /* __APPLICATION__ */